Page MenuHomeFreeBSD

linuxolator: add netlink support
ClosedPublic

Authored by melifaro on Aug 26 2022, 2:59 PM.
Tags
None
Referenced Files
Unknown Object (File)
Thu, Jan 26, 3:42 PM
Unknown Object (File)
Mon, Jan 9, 2:37 PM
Unknown Object (File)
Fri, Jan 6, 7:29 PM
Unknown Object (File)
Dec 24 2022, 7:39 PM
Unknown Object (File)
Dec 15 2022, 7:43 PM
Unknown Object (File)
Dec 14 2022, 10:10 PM
Unknown Object (File)
Dec 1 2022, 7:48 PM
Subscribers

Details

Summary

Compat part for running Linux binaries with Netlink ( D36002 ).

Test Plan

Please see testing section in D36002.

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

melifaro edited the summary of this revision. (Show Details)
melifaro edited the test plan for this revision. (Show Details)
melifaro added a reviewer: Linux Emulation.

mostly style, thank you! tested with 2.35 glibc tests suite, inet tests completed!

sys/compat/linux/linux_netlink.c
32

I suggest to add an empty line here

61

style, blank line, and in many functions below

121

unnecessary parentheses

131

the same here

167

may be use return (netlink_family != NETLINK_ROUTE ? hdr :
rtnl_from_linux(hdr, npt));
?

184

blank line

186

if (out_hdr != NULL)

		memcpy(out_hdr, hdr, hdr->nlmsg_len);

return (out_hdr != NULL);

?

219

the same as above

235

unnecessary parentheses

386

unnecessary parentheses

This revision is now accepted and ready to land.Sep 8 2022, 8:35 AM

Update to reflect netlink KPI changes.

This revision now requires review to proceed.Sep 11 2022, 6:58 PM
This revision was not accepted when it landed; it landed in state Needs Review.Oct 1 2022, 2:20 PM
This revision was automatically updated to reflect the committed changes.